Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface ClusterMonitor

    public interface ClusterMonitor

Cluster monitor is an interface to represent a cluter states

Method Summary
`long` | `getClusterMonitorRefreshInterval()` get local monitor's Refresh Interval.
`MemberMonitor` | `getMemberMonitor(Member mmn)` get member monitor in the cluster server.
`MemberMonitor` | `getMemberMonitor(java.lang.String host, java.lang.String port)` get member monitor in the cluster server.
`java.lang.String` | `getMonitorMemberHost()` get monitor member's host name.
`java.lang.String` | `getMonitorMemberPort()` get monitor member's port.
`void` | `setMonitorMember(java.lang.String host, java.lang.String port)` set a member as a monitor member in the cluster server.

Method Detail

### getMemberMonitor

    MemberMonitor getMemberMonitor(java.lang.String host,
                                   java.lang.String port)

  get member monitor in the cluster server.

  Parameters:
    `host` - a string special server host name.
    `port` - a string special server port.
  Returns:
    MemberMonitor .
  See Also:
    `jet.server.jrc.MemberMonitor`

### getMemberMonitor

    MemberMonitor getMemberMonitor(Member mmn)

  get member monitor in the cluster server.

  Parameters:
    `mm` - is special Member.
  Returns:
    MemberMonitor .
  See Also:
    `jet.server.jrc.MemberMonitor`

### setMonitorMember

    void setMonitorMember(java.lang.String host,
                          java.lang.String port)

  set a member as a monitor member in the cluster server.

  Parameters:
    `host` - a string special server host name.
    `port` - a string special server port.

### getMonitorMemberPort

    java.lang.String getMonitorMemberPort()

  get monitor member's port.

### getMonitorMemberHost

    java.lang.String getMonitorMemberHost()

  get monitor member's host name.

### getClusterMonitorRefreshInterval

    long getClusterMonitorRefreshInterval()

  get local monitor's Refresh Interval.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD